Hyperscale Data, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/hyperscale-data-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/hyperscale-data-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1775520000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/hyperscale-datas-102-million-in-cash-restricted-cash-and-bitcoin-holdings-significantly-exceed-current-market-capitalization-of-company-302735368.html",
    "holding_balance": 639.2135000000001,
    "holding_net_change": 5.35,
    "transaction_value_usd": 384828.8169999999,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1776729600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/hyperscale-data-exceeds-50-million-in-bitcoin-holdings-for-second-time-surpassing-halfway-mark-toward-100-million-bitcoin-treasury-goal-302748160.html",
    "holding_balance": 663.3130000000001,
    "holding_net_change": 24.1,
    "transaction_value_usd": 1841020.69,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1777334400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/hyperscale-data-announces-53-1-million-in-bitcoin-holdings-302755141.html",
    "holding_balance": 675.3529000000001,
    "holding_net_change": 12.04,
    "transaction_value_usd": 919145.1584,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/hyperscale-data-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    675.3529000000001
  ],
  [
    1779062400000,
    675.3529000000001
  ],
  [
    1779148800000,
    675.3529000000001
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/hyperscale-data-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    52292480.49759401
  ],
  [
    1779062400000,
    51964535.88288301
  ],
  [
    1779148800000,
    51840095.35752901
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/hyperscale-data-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.12,
    "date": "2026-05-15",
    "high": 0.19,
    "open": 0.12,
    "close": 0.15,
    "volume": 162936100
  },
  {
    "low": 0.13,
    "date": "2026-05-18",
    "high": 0.14,
    "open": 0.14,
    "close": 0.14,
    "volume": 24268600
  },
  {
    "low": 0.1301,
    "date": "2026-05-19",
    "high": 0.1369,
    "open": 0.1369,
    "close": 0.1311,
    "volume": 13057618
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/hyperscale-data-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hyperscale-data-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -12.6,
  "six_month_return": -53.18,
  "three_month_return": -31.0
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/hyperscale-data-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 85.1,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}